Loading...
Searching...
No Matches
zigzag_persistence.h File Reference

Contains the implementation of the Gudhi::zigzag_persistence::Zigzag_persistence class. More...

Go to the source code of this file.

## Classes

struct | Gudhi::zigzag_persistence::Zigzag_matrix_options< column_type >
| Options for the internal matrix of Zigzag_persistence. More...
struct | Gudhi::zigzag_persistence::Default_zigzag_options
| Default options for Zigzag_persistence. More...
class | Gudhi::zigzag_persistence::Zigzag_persistence< ZigzagOptions >
| Class computing the zigzag persistent homology of a zigzag sequence. Algorithm based on [zigzag]. More...

## Namespaces

namespace | Gudhi
| Gudhi namespace.

## Detailed Description

Contains the implementation of the Gudhi::zigzag_persistence::Zigzag_persistence class.

Author
  Clément Maria, Hannah Schreiber